# Retrieve aircraft position

## Introduction

This endpoint allows retrieving the current location of one or more aircraft, given their registration marks.

{% hint style="info" %}
To access this endpoint additional [Authorisation](/authentication/authorisation.md) is needed. Your [API token](/authentication/api-tokens.md) needs to be associated with a [User](/authentication/users.md) which includes the [role](/authentication/authorisation.md#available-roles) of `AIRCRAFT_POSITION`
{% endhint %}

## Endpoint

`https://api.aviowiki.com/aircraft/position`

## Parameters

`registration`\
The registration marks of the aircraft including the dash separator where applicable. For example, `N4252T`, `D-IEGO`, `OE-INA`.

It is possible to concatenate multiple `registration` parameters in the query string. For example, `?registration=D-IEGO&registration=G-INTR&registration=N4252T`.

## Reply

The server replies with `200` unless an error was encountered.

The body of the reply is a JSON list where each object is made up of the following properties:

`tailNumber`: The aircraft registration in the same format as entered in the request parameters. For example, `G-ZBJK`.

`transponderIcao24`: The ICAO 24bit address of the transponder in hexadecimal format. For example `4074e3`.

`position`: A *Position* object.

## Position object

The Position object represent the current position and state of an aircraft.

### Properties

`coordinates`: A [Coordinates](https://www.aviowiki.com/docs/airports/data-models/coordinates/) object.

`baroAltitude`: The barometric altitude as reported by the aircraft transponder and with reference to the pressure level of 1013.25hPa. This is measured in meters.

`groundSpeed`: The ground speed as calculated by a satellite positioning system. This is measured in meters/second.

`course`: The true course of the aircraft as calculated by a satellite positioning system. Be aware that this is accurate only when the aircraft is in motion.

`verticalRate`: The vertical rate of climb or descent of the aircraft as reported by its transponder. The unit of measure is meters/second. Negative values indicate a descent.

`onGround`: A boolean value that indicates if the aircraft is on the ground or in the air. This information is provided on a best effort basis, as not all type of sources support transmission of this data.

`observed`: An ISO datetime string that indicates when was this position recorded.

`source`: The type of source that reported this position. Possible values are `ADSB`, `MLAT`, `ASDI`, `OCEA`, `SATE`, `HFDL`, `ASTERIX`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/retrieve-aircraft-position.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
